CONSOLE_UNLOCK(9)

NAME
console_unlock - unlock the console system

SYNOPSIS

void console_unlock(void);

ARGUMENTS

void
    no arguments

DESCRIPTION

Releases the console_lock which the caller holds on the console system and the console driver list.

While the console_lock was held, console output may have been buffered by printk. If this is the case, console_unlock; emits the output prior to releasing the lock.

If there is output waiting, we wake /dev/kmsg and syslog users.

console_unlock; may be called from any context.

COPYRIGHT